#pragma once
#include <vector>
#include "sqlite3.h"

class Question;

class Program
{
public:
	int run();
	static bool open_database(sqlite3** db);
	bool load_questions();
	bool add_question();
	bool delete_question(int32_t id);
	bool view_question(Question* q);
	bool load_answers(Question* q);
	std::vector<Question*> questions;

};

